<template>
  <div>
    <div class="flex items-center justify-between mb-8">
      <t-span weight="bold">People in zone</t-span>
      <a-custom-search @search="onSearch"></a-custom-search>
    </div>
    <a-table :columns="columns" :data-source="store.gePeopleInAreaTemperatures(store.selectedAreaId, keyword)" size="middle">
      <a slot="facePreview" slot-scope="id, row">
        <a-avatar shape="square" :size="50" icon="user" :src="row.profilePhoto" class="bg-blue-light" />
      </a>
      <div slot="operation" slot-scope="id, row">
        <PersonDialog :passenger="row">
          <b-action-button>More detail</b-action-button>
        </PersonDialog>
      </div>
    </a-table>
  </div>
</template>

<script>
import moment from 'moment'
import ACustomSearch from '~/components/shared/form/Search'
import TSpan from '~/components/shared/typography/Span'
import BActionButton from '~/components/shared/buttons/ActionButton'
import { useBuilding } from '~/store/building'
import PersonDialog from '~/components/person/PersonDialog.vue'

const columns = [
  {
    title: 'FACE PREVIEW',
    dataIndex: 'facePreview',
    key: 'facePreview',
    scopedSlots: { customRender: 'facePreview' },
    width: 120,
  },
  {
    title: 'Name',
    dataIndex: 'displayName',
    key: 'displayName',
    width: 300,
  },
  {
    title: 'AREA',
    dataIndex: 'areaName',
    key: 'areaName',
  },
  {
    title: 'UNIT',
    dataIndex: 'unitName',
    key: 'unitName',
  },
  {
    title: '',
    dataIndex: 'operation',
    scopedSlots: { customRender: 'operation' },
    key: 'operation',
    width: 150,
  },
]

export default {
  components: { BActionButton, TSpan, ACustomSearch, PersonDialog },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      columns,
      keyword: null,
      data: [],
    }
  },
  methods: {
    getDate(isoDate) {
      return moment(isoDate).format('yyyy-MM-DD')
    },
    getTime(isoDate) {
      return moment(isoDate).format('HH.mm.SS.SSS')
    },
    onSearch(value) {
      this.keyword = value
    }
  },
}
</script>
